Failure to load "openssl.bundle" (RuntimeError) - need help

I’m new to Ruby on Rails and am using the stack provided in Leopard.
I’m trying to generate scaffolding for a basic app, and I’m receiving
the following error message:

ember:~ trey$ ruby ~/Sites/cookbook2/script/generate scaffold recipe
recipe
/usr/local/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initializer.rb:
159:in require_frameworks': Failed to load /usr/local/lib/ruby/ site_ruby/1.8/i686-darwin8.9.1/openssl.bundle (RuntimeError) from /usr/local/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initializer.rb: 88:inprocess’
from
/usr/local/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initializer.rb:
49:in send' from /usr/local/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initializer.rb: 49:inrun’
from /Users/trey/Sites/cookbook2/config/environment.rb:13
from
/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:
27:in gem_original_require' from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb: 27:inrequire’
from /usr/local/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/commands/
generate.rb:1
from
/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:
27:in gem_original_require' from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb: 27:inrequire’
from /Users/trey/Sites/cookbook2/script/generate:3

I have no idea what the RuntimeError is, but I do know that file is
present and permissions are correct. Does anyone have any idea how to
fix this?

Thanks in advance,
Trey

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs